* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}

html {
  /* font-size: 10px; */

  /* 10px / 16px = 0.625 = 62.5% */
  /* Percentage of user's browser font-size setting */
  font-size: 62.5%;
  overflow-x: hidden;
}

body {
  font-family: "Inter", sans-serif;
  line-height: 1;
  font-weight: 400;
  color: #555;

  /* Only works if there is nothing absolutely positioned in relation to body */
  overflow-x: hidden;
  background-color: #ffffff;
  font-size: 1.6rem;
  padding-bottom: 7.2rem;
  scroll-behavior: smooth;
}

/* general elemnt styles */

.container {
  /* 1140px */
  max-width: 120rem;
  padding: 0 3.2rem;
  margin: 0 auto;
}

.grid-task-section {
  display: grid;
  column-gap: 7.2rem;
  grid-template-columns: 1fr 1fr;
  padding-top: 4.8rem;
}

/* Nav  */

.header-section {
  padding-top: 3.2rem;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.logo {
  height: 4.8rem;
}

.quote {
  line-height: 1.2;
  max-width: 70%;
  font-family: Inria Serif;
  font-size: 1.8rem;
  display: flex;
  flex-direction: column;
  gap: 0.6rem;
}

.quote-paran {
  font-size: 1.8rem;
  font-weight: 800;
}

/* --------------
-----------------
--------------- */

.section-task {
  padding-top: 5.6rem;
}

.cur-date {
  text-align: center;
}

.task-container {
  padding-top: 2.4rem;
  display: grid;
  gap: 2.4rem;
  align-content: flex-start;
}
.add-task-form {
  grid-column: 1/2;
}

.task-container--daily-task {
  grid-column: 2/3;
}

.task {
  opacity: 1;
  transform: translateY(0);
  transition: opacity 0.5s ease, transform 0.5s ease;
  background-color: #fff;
  display: grid;
  grid-template-columns: 1fr 8fr 2fr;
  padding: 1.6rem 2.4rem;
  padding-left: 0rem;
  padding-bottom: 3rem;
  align-items: center;
  border-bottom: 2px solid #ddd;
}

.edit-delete-btn {
  display: flex;
  justify-self: end;
  gap: 0.8rem;
  align-items: center;
}

.btn-delete {
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 100px;
  background-color: #ff7f7f;
  color: #fff;
  border: none;
  cursor: pointer;
  height: 1.5rem;
  width: 1.5rem;
  font-size: 1.6rem;
  font-weight: 600;
  transition: all 0.2s ease;
}

.btn-delete:hover,
.btn-delete:active {
  background-color: #fa5252;
}

.btn-delete:hover {
  transform: translateY(-0.5px); /* Move button up */
  box-shadow: 0 1px 2px rgba(0, 0, 0, 0.1); /* Increase shadow */
}

/* Active effect: Button goes down */
.btn-delete:active {
  transform: translateY(1px); /* Move button down */
  box-shadow: 0 0.5px 1px rgba(0, 0, 0, 0.05); /* Reduce shadow */
}

/* task-info  */

.task-title {
  margin-bottom: 2px;
  /* to have gap between it and the description */
}

.task-description {
  font-size: 1.4rem;
  color: #888;
}

/* --------------------- */

/* radio btn */
.to-do-radio-btn {
  transform: scale(1.5);
  transition: all 0.5s;
}

.p1 {
  color: red;
}

.p2 {
  color: rgb(255, 213, 0);
}

.p3 {
  color: rgb(7, 136, 7);
}

/* --------------------- */

/* Div containing edit btn and time icon */

.btn-edit {
  /* to span across whole elemtn and then send it to end  */
  display: flex;
  justify-self: flex-end;
  background-color: transparent;
  font-size: 2rem;
  font-weight: 600;
  border: none;
  cursor: pointer;
}

.btn-edit:hover {
  transform: translateY(-0.5px); /* Move button up */
  box-shadow: 0 1px 2px rgba(0, 0, 0, 0.1); /* Increase shadow */
}

/* Active effect: Button goes down */
.btn-edit:active {
  transform: translateY(1px); /* Move button down */
  box-shadow: 0 0.5px 1px rgba(0, 0, 0, 0.05); /* Reduce shadow */
}

.deadline-slot {
  text-align: flex-end;
  font-size: 1.4rem;
}

.icon-time {
  justify-self: flex-end;
  color: green;
  transform: scale(1.1);
}

/* --------------------- */

/* Add taak form  */

.add-task-form {
  font-size: 1.6rem;
  display: grid;
  row-gap: 1.8rem;
  border: 2px solid #ddd;
  border-radius: 10px;
  padding: 1.8rem 1.2rem;
}

.input-task-title {
  border: none;
  background-color: transparent;
  font-size: 1.6rem;
  color: inherit;
}

.input-task-description {
  color: #888;
  border: none;
  background-color: transparent;
}

.input-task-description::placeholder {
  color: #aaa;
}

.input-task-title:focus,
.input-task-description:focus {
  border: none;
  outline: none;
  box-shadow: none;
}

.input-task-title:focus::placeholder,
.input-task-description:focus::placeholder {
  color: transparent; /* Make it invisible */
}

.input-priority-options {
  display: flex;
  gap: 2.4rem;
}

.select-time-options {
  display: flex;
  gap: 1.6rem;
  align-items: center;
}

.deadline-option {
  background-color: none;
  padding: 0.6rem 1rem;
  border: 0.5px solid #888;
  font-size: inherit;
  color: #666;
  border-radius: 5px;
}

.deadline-option:focus {
  border: 0.5px solid #888;
  outline: none;
}

.form-btns {
  justify-self: flex-end;
}

.btn {
  background-color: transparent;
  padding: 1rem 2rem;
  border-radius: 5px;
  letter-spacing: 0.2px;
  font-weight: 600;
  transition: all 0.2s ease; /* Smooth transition */
  cursor: pointer;
}

.btn-cancel-form {
  border: 1px solid #aaa;
  color: inherit;
}

.btn-add-task-form {
  background-color: #fa5252;
  color: #fff;
  border: none;
}

.btn-add-task-form:hover {
  background-color: #ff6b6b;
}

.btn:hover {
  transform: translateY(-2px); /* Move button up */
  box-shadow: 0 2.5px 5px rgba(0, 0, 0, 0.1); /* Increase shadow */
}

/* Active effect: Button goes down */
.btn:active {
  transform: translateY(1px); /* Move button down */
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.05); /* Reduce shadow */
}

/* ----------------- */

/* Add taks form */

.btn-add-task {
  justify-self: flex-start;
  background-color: transparent;
  border: none;
  font-size: inherit;
  display: flex;
  align-items: center;
  gap: 0.8rem;
  color: #aaa;
  transition: all ease 0.1s;
  padding: 0.5rem;
}

.btn-add-task:hover {
  outline: 1px solid #aaa;
  color: #555;
  box-shadow: 0 2.5px 5px rgba(0, 0, 0, 0.1); /* Increase shadow */
}

.icon-add {
  font-size: 2rem;
  color: #e03131;
  font-weight: 600;
}

/* ----------------- */

/* ------------------------- */
/* Task done section */
/* ------------------------- */

.container-grid-task-done {
  box-shadow: rgba(0, 0, 0, 0.1) 0px 4px 12px;
  background-color: #fafbfc;
  padding: 2.4rem 3.2rem;
  border-radius: 8px;
  display: flex;
  gap: 1.6rem;
  flex-direction: column;
}

.done-list-item {
  list-style: none;
}

.checked-icon {
  color: green;
  font-weight: 900;
  transform: scale(1.5);
  margin-right: 1rem;
}

/* Helper class */

.heading {
  font-size: 1.4rem;
  text-align: center;
  grid-row: 1/2;
  font-weight: 600;
}

.modal-window {
  width: 60%; /* Ensures it adapts to smaller screens */
  word-wrap: break-word; /* Ensures long words break correctly */
  box-shadow: 0px 4px 10px rgba(0, 0, 0, 0.1), 0px 8px 30px rgba(0, 0, 0, 0.2);
  background-color: #f5f5f5;
  position: fixed;
  top: 0%;
  left: 50%;
  transform: translate(-50%, 50%);
  padding: 2.4rem 2.8rem;
  border-radius: 4px;
  font-size: 1.6rem;
  z-index: 100;
  line-height: 1.2;
  display: none;
}

.btns {
  margin-top: 2.4rem;
  display: flex;
  justify-content: flex-end;
  gap: 1.6rem;
}

.modal-btn {
  line-height: 1.2;
  font-weight: 500;
  width: 20%;
  border-radius: 4px;
  font-size: 1.6rem;
  padding: 0.6rem 1.2rem;
  border: none;
  cursor: pointer;
}

.btn-no {
  background-color: #fa5252c1;
  color: #fff;
}

.btn-yes {
  background: linear-gradient(
    to right,
    #28a746aa,
    #2188379f
  ); /* Light to dark green */
  color: white;
}

.modal-overlay {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.017); /* Semi-transparent dark overlay */
  backdrop-filter: blur(4px); /* Blurs the background */
  /* display: none; Initially hidden */

  display: none;
}

.hidden {
  opacity: 0;
  transform: translateY(20px);
  transition: opacity 0.6s ease-out, transform 0.6s ease-out;
}

.show {
  opacity: 1;
  transform: translateY(0);
}

.error-icon {
  color: #fa5252;
  font-size: 1.8rem;
}

.error-message {
  display: flex;
  width: 150%;
  gap: 0.8rem;
  align-items: center;
}
